Brault Developers

Retrieve a comment

Regionalus.api.brault.appfollows the region selector in the top bar
GET
/v1/files/{fileId}/comments/{commentId}
AuthorizationBearer <token>

API key from Settings → Developers

In: header

Path Parameters

fileId*string
commentId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/files/string/comments/string"
{  "object": "comment",  "id": "string",  "file_id": "string",  "version_id": "string",  "text": "string",  "author": {    "id": "string",    "name": "string"  },  "anonymous_name": "string",  "mentions": [    {      "id": "string",      "name": "string"    }  ],  "timestamp_ms": 0,  "annotations": [    {      "type": "draw",      "coordinates": [        {          "x": 0,          "y": 0        }      ]    }  ],  "resolved": true,  "resolved_at": "2019-08-24T14:15:22Z",  "resolved_by_id": "string",  "has_replies": true,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "edited_at": "2019-08-24T14:15:22Z"}